`timescale 1 ns/100 ps


module FIFO2x2048(Data,Q,WE,RE,WClock,RClock,AEMPTY,AFULL,FULL,
        EMPTY,ACLR);
input [1:0] Data;
output [1:0] Q;
input  WE, RE, WClock, RClock;
output  AEMPTY, AFULL, FULL, EMPTY;
input  ACLR;

    wire INV_1_Y, INV_0_Y, VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    INV INV_0(.A(RE), .Y(INV_0_Y));
    INV INV_1(.A(WE), .Y(INV_1_Y));
    FIFO64K36 FIFO64K36_FULL(.WCLK(WClock), .RCLK(RClock), .WEN(
        INV_1_Y), .REN(INV_0_Y), .CLR(ACLR), .WIDTH0(VCC), 
        .WIDTH1(GND), .WIDTH2(GND), .DEPTH0(GND), .DEPTH1(GND), 
        .DEPTH2(GND), .DEPTH3(GND), .AEVAL0(GND), .AEVAL1(VCC), 
        .AEVAL2(GND), .AEVAL3(GND), .AEVAL4(GND), .AEVAL5(GND), 
        .AEVAL6(GND), .AEVAL7(GND), .AFVAL0(GND), .AFVAL1(VCC), 
        .AFVAL2(VCC), .AFVAL3(VCC), .AFVAL4(GND), .AFVAL5(GND), 
        .AFVAL6(GND), .AFVAL7(GND), .WD0(Data[0]), .WD1(Data[1]), 
        .WD2(GND), .WD3(GND), .WD4(GND), .WD5(GND), .WD6(GND), 
        .WD7(GND), .WD8(GND), .WD9(GND), .WD10(GND), .WD11(GND), 
        .WD12(GND), .WD13(GND), .WD14(GND), .WD15(GND), .WD16(GND)
        , .WD17(GND), .WD18(GND), .WD19(GND), .WD20(GND), .WD21(
        GND), .WD22(GND), .WD23(GND), .WD24(GND), .WD25(GND), 
        .WD26(GND), .WD27(GND), .WD28(GND), .WD29(GND), .WD30(GND)
        , .WD31(GND), .WD32(GND), .WD33(GND), .WD34(GND), .WD35(
        GND), .FULL(FULL), .AFULL(AFULL), .EMPTY(EMPTY), .AEMPTY(
        AEMPTY), .RD0(Q[0]), .RD1(Q[1]), .RD2(), .RD3(), .RD4(), 
        .RD5(), .RD6(), .RD7(), .RD8(), .RD9(), .RD10(), .RD11(), 
        .RD12(), .RD13(), .RD14(), .RD15(), .RD16(), .RD17(), 
        .RD18(), .RD19(), .RD20(), .RD21(), .RD22(), .RD23(), 
        .RD24(), .RD25(), .RD26(), .RD27(), .RD28(), .RD29(), 
        .RD30(), .RD31(), .RD32(), .RD33(), .RD34(), .RD35());
    
endmodule
