`timescale 1 ns/100 ps
module count3e1l0(Data,Enable,Sload,Aclr,Clock,Q)/*synthesis syn_hier = "hard" */;
input [2:0] Data;
input Enable, Sload, Aclr, Clock;
output [2:0] Q;

    wire EnAux, INV_0_Y, INV_1_Y, AX1C_0_Y, CM8_2_Y, CM8_1_Y, 
        CM8_0_Y, VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    CM8 CM8_2(.D0(Data[2]), .D1(AX1C_0_Y), .D2(Data[2]), .D3(Q[2])
        , .S00(Sload), .S01(VCC), .S10(EnAux), .S11(GND), .Y(
        CM8_2_Y));
    DFC1B DFC1B_Q_1_inst(.D(CM8_1_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[1]));
    INV INV_0(.A(Q[0]), .Y(INV_0_Y));
    DFC1B DFC1B_Q_0_inst(.D(CM8_0_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[0]));
    CM8 CM8_0(.D0(Data[0]), .D1(INV_0_Y), .D2(Data[0]), .D3(Q[0]), 
        .S00(Sload), .S01(VCC), .S10(EnAux), .S11(GND), .Y(
        CM8_0_Y));
    AX1C AX1C_0(.A(Q[0]), .B(Q[1]), .C(Q[2]), .Y(AX1C_0_Y));
    DFC1B DFC1B_Q_2_inst(.D(CM8_2_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[2]));
    INV INV_1(.A(Q[1]), .Y(INV_1_Y));
    INV INV_0_inst(.A(Enable), .Y(EnAux));
    CM8 CM8_1(.D0(Data[1]), .D1(INV_1_Y), .D2(Data[1]), .D3(Q[1]), 
        .S00(Sload), .S01(VCC), .S10(INV_0_Y), .S11(EnAux), .Y(
        CM8_1_Y));
    
endmodule
