// ****************************************************
// Created by: ACTgen 4.4.1.18
// Date : Thu Mar 28 10:54:58 2002 
// Parameters:
//   WIDTH:2
//   DIRECTION:UP
//   CLK_EDGE:RISE
//   CLR_POLARITY:0
//   SET_POLARITY:2
//   EN_POLARITY:1
//   LD_POLARITY:1
//   TCNT_POLARITY:2
// ****************************************************

module countload (Clock, Q, Aclr, Enable, Sload, Data);
  parameter WIDTH = 2;
  input Clock;
  output [WIDTH - 1:0] Q;
  input Aclr;
  input Enable;
  input Sload;
  input [WIDTH - 1:0] Data;

  reg [WIDTH - 1:0] Qaux;

  always @(posedge Clock or negedge Aclr)
  begin

    if (!Aclr)
      Qaux <= {WIDTH{1'b0}};
    else if (Sload)
      Qaux <= Data;
    else if (Enable)
      Qaux <= Qaux + 1;

  end

  assign Q = Qaux;

endmodule
