`timescale 1 ns/100 ps
module mux8x8(Data0,Data1,Data2,Data3,Data4,Data5,Data6,Data7,Sel,Result)/*synthesis syn_hier = "hard" */;
input [7:0] Data0, Data1, Data2, Data3, Data4, Data5, Data6, Data7;
input [2:0] Sel;
output [7:0] Result; reg [7:0] Result;

always @(Data0 or Data1 or Data2 or Data3 or Data4 or Data5 or Data6 or Data7 or Sel)
 case (Sel)
  3'd0: Result = Data0;
  3'd1: Result = Data1;
  3'd2: Result = Data2;
  3'd3: Result = Data3;
  3'd4: Result = Data4;
  3'd5: Result = Data5;
  3'd6: Result = Data6;
  3'd7: Result = Data7;
 endcase
endmodule
