`timescale 1 ns/100 ps


module RAM9x512(Data,Q,WAddress,RAddress,WE,RE,WClock,RClock);
input [8:0] Data;
output [8:0] Q;
input [8:0] WAddress, RAddress;
input WE, RE, WClock, RClock;

    wire VCC, GND;
    
    VCC VCC_1_net(.Y(VCC));
    GND GND_1_net(.Y(GND));
    RAM64K36 RAM64K36_Q_0_inst(.WCLK(WClock), .RCLK(RClock), 
        .DEPTH0(GND), .DEPTH1(GND), .DEPTH2(GND), .DEPTH3(GND), 
        .WEN(WE), .WW0(VCC), .WW1(VCC), .WW2(GND), .WRAD0(
        WAddress[0]), .WRAD1(WAddress[1]), .WRAD2(WAddress[2]), 
        .WRAD3(WAddress[3]), .WRAD4(WAddress[4]), .WRAD5(
        WAddress[5]), .WRAD6(WAddress[6]), .WRAD7(WAddress[7]), 
        .WRAD8(WAddress[8]), .WRAD9(GND), .WRAD10(GND), .WRAD11(
        GND), .WRAD12(GND), .WRAD13(GND), .WRAD14(GND), .WRAD15(
        GND), .WD0(Data[0]), .WD1(Data[1]), .WD2(Data[2]), .WD3(
        Data[3]), .WD4(Data[4]), .WD5(Data[5]), .WD6(Data[6]), 
        .WD7(Data[7]), .WD8(Data[8]), .WD9(GND), .WD10(GND), 
        .WD11(GND), .WD12(GND), .WD13(GND), .WD14(GND), .WD15(GND)
        , .WD16(GND), .WD17(GND), .WD18(GND), .WD19(GND), .WD20(
        GND), .WD21(GND), .WD22(GND), .WD23(GND), .WD24(GND), 
        .WD25(GND), .WD26(GND), .WD27(GND), .WD28(GND), .WD29(GND)
        , .WD30(GND), .WD31(GND), .WD32(GND), .WD33(GND), .WD34(
        GND), .WD35(GND), .REN(RE), .RW0(VCC), .RW1(VCC), .RW2(
        GND), .RDAD0(RAddress[0]), .RDAD1(RAddress[1]), .RDAD2(
        RAddress[2]), .RDAD3(RAddress[3]), .RDAD4(RAddress[4]), 
        .RDAD5(RAddress[5]), .RDAD6(RAddress[6]), .RDAD7(
        RAddress[7]), .RDAD8(RAddress[8]), .RDAD9(GND), .RDAD10(
        GND), .RDAD11(GND), .RDAD12(GND), .RDAD13(GND), .RDAD14(
        GND), .RDAD15(GND), .RD0(Q[0]), .RD1(Q[1]), .RD2(Q[2]), 
        .RD3(Q[3]), .RD4(Q[4]), .RD5(Q[5]), .RD6(Q[6]), .RD7(Q[7])
        , .RD8(Q[8]), .RD9(), .RD10(), .RD11(), .RD12(), .RD13(), 
        .RD14(), .RD15(), .RD16(), .RD17(), .RD18(), .RD19(), 
        .RD20(), .RD21(), .RD22(), .RD23(), .RD24(), .RD25(), 
        .RD26(), .RD27(), .RD28(), .RD29(), .RD30(), .RD31(), 
        .RD32(), .RD33(), .RD34(), .RD35());
    
endmodule
