`timescale 1 ns/100 ps
// Version: 6.1 SP1 6.1.1.108


module rtax2000_cq352_Reset_Insig(CLOCK_IN, CLOCK_OUT, LOADIN, CLEARI, QI);


input	CLOCK_IN;
output	CLOCK_OUT;
input	LOADIN;
output	CLEARI;
output	QI;



wire 	CLEARI_Buf;
wire	Clk_Buf;


		assign CLEARI = CLEARI_Buf;
		VCC		VCC_inst (VCC);
		CLKBUF	CLKBUF_inst(.PAD(CLOCK_IN), .Y(Clk_Buf));
		INBUF	INBUF_inst(.PAD(LOADIN), .Y(CLEARI_Buf));
		TF1A	TF1A_inst(.T(VCC), .CLK(Clk_Buf), .CLR(CLEARI_Buf), .Q(QI));
		OUTBUF	OUTBUF_inst(.D(Clk_Buf), .PAD(CLOCK_OUT));


endmodule
