`timescale 1ns/100ps 
module counter (clk, aclr, ena, count);
 parameter SIZE = 4;
 input clk, aclr, ena;
 output [SIZE-1:0] count;

 reg [SIZE-1:0] count;
 
 always @(posedge clk or negedge aclr) 
  if (aclr==1'b0) count <= 0;
  else if (ena==1'b1) count <= count + 1;
endmodule
