`timescale 1ns/100ps
//Test moniter for RAM BIST Block
// Author: Manish R. Babladi

module rambist_test_mon(Clock, Resetn, rambist_test_ok, rambist_test_mon)/*synthesis syn_hier = "hard" */;

parameter NUM = 2,
          WIDTH = 4;
input Clock, Resetn;
input [NUM:1] rambist_test_ok;
output rambist_test_mon;
wire rambist_mon_enable;
reg [WIDTH-1:0] rambist_mon;
//
//
assign rambist_mon_enable = &rambist_test_ok;

always @(posedge Clock or negedge Resetn)
 if (Resetn==1'b0)
  rambist_mon <= 0;
 else
  if (rambist_mon_enable) 
   rambist_mon <= rambist_mon + 1;
  else
   rambist_mon <= {WIDTH{1'b1}}; // All ones 
    

assign rambist_test_mon = rambist_mon[WIDTH-1];

endmodule
