`timescale 1 ns/100 ps
module reg8ec(Data,Enable,Aclr,Clock,Q)/*synthesis syn_hier = "hard" */;
input [7:0] Data;
input Enable, Aclr, Clock;
output [7:0] Q;

    wire EnAux_0_net, EnAux_4_net, MX2_0_Y, MX2_6_Y, MX2_5_Y, 
        MX2_2_Y, MX2_3_Y, MX2_4_Y, MX2_1_Y, MX2_7_Y;
    
    BUFF BUFF_EnAux_0_inst(.A(Enable), .Y(EnAux_0_net));
    DFC1B DFC1B_Q_5_inst(.D(MX2_3_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[5]));
    MX2 MX2_0(.A(Q[2]), .B(Data[2]), .S(EnAux_0_net), .Y(MX2_0_Y));
    DFC1B DFC1B_Q_6_inst(.D(MX2_6_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[6]));
    DFC1B DFC1B_Q_1_inst(.D(MX2_4_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[1]));
    MX2 MX2_6(.A(Q[6]), .B(Data[6]), .S(EnAux_4_net), .Y(MX2_6_Y));
    DFC1B DFC1B_Q_0_inst(.D(MX2_2_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[0]));
    DFC1B DFC1B_Q_2_inst(.D(MX2_0_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[2]));
    MX2 MX2_3(.A(Q[5]), .B(Data[5]), .S(EnAux_4_net), .Y(MX2_3_Y));
    DFC1B DFC1B_Q_7_inst(.D(MX2_5_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[7]));
    MX2 MX2_4(.A(Q[1]), .B(Data[1]), .S(EnAux_0_net), .Y(MX2_4_Y));
    MX2 MX2_5(.A(Q[7]), .B(Data[7]), .S(EnAux_4_net), .Y(MX2_5_Y));
    DFC1B DFC1B_Q_3_inst(.D(MX2_1_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[3]));
    MX2 MX2_2(.A(Q[0]), .B(Data[0]), .S(EnAux_0_net), .Y(MX2_2_Y));
    MX2 MX2_7(.A(Q[4]), .B(Data[4]), .S(EnAux_4_net), .Y(MX2_7_Y));
    MX2 MX2_1(.A(Q[3]), .B(Data[3]), .S(EnAux_0_net), .Y(MX2_1_Y));
    DFC1B DFC1B_Q_4_inst(.D(MX2_7_Y), .CLK(Clock), .CLR(Aclr), .Q(
        Q[4]));
    BUFF BUFF_EnAux_4_inst(.A(Enable), .Y(EnAux_4_net));
    
endmodule
