`timescale 1 ns/100 ps

// RAMLATCH BIST MODEL
// Manish R. Babladi
// 02/03/2003

module reg8latch(DATA, ENABLE, CLOCK, Q)/*synthesis syn_hier = "hard" */;
input [7:0] DATA;
input ENABLE, CLOCK;
output [7:0] Q;

GND UGND_net(.Y (GND_net));

DLEB  LATCH_0_M(.D(DATA[0]), .G(CLOCK), .E(ENABLE), .Q(Q[0]));
DLEB  LATCH_1_M(.D(DATA[1]), .G(CLOCK), .E(ENABLE), .Q(Q[1]));
DLEB  LATCH_2_M(.D(DATA[2]), .G(CLOCK), .E(ENABLE), .Q(Q[2]));
DLEB  LATCH_3_M(.D(DATA[3]), .G(CLOCK), .E(ENABLE), .Q(Q[3]));
DLEB  LATCH_4_M(.D(DATA[4]), .G(CLOCK), .E(ENABLE), .Q(Q[4]));
DLEB  LATCH_5_M(.D(DATA[5]), .G(CLOCK), .E(ENABLE), .Q(Q[5]));
DLEB  LATCH_6_M(.D(DATA[6]), .G(CLOCK), .E(ENABLE), .Q(Q[6]));
DLEB  LATCH_7_M(.D(DATA[7]), .G(CLOCK), .E(ENABLE), .Q(Q[7]));

endmodule

