`timescale 1ns/100ps
// AX2000 Burnin module definition 
// 03/04/2003
// Manish R. Babladi
// 
// Cascaded RAM and FIFOs - 64
// IO Groups - Groups of 8
// Combo Test - Token passing
// Registers/Latches - RAM BIST
// 5 IO LVPECL pairs
// All HClock and RClock resources are utilized
// 
//
module rtax2000_cq352_Logic_Top (Oe, Resetn, Hclock3, Rclock3, Hclock4, Ram_test_mon, Ramfifo_test_mon,	rambist_test_mon);

input Oe;
input Resetn; 
input Hclock3, Hclock4;
input Rclock3;

output Ram_test_mon;
output Ramfifo_test_mon;
output rambist_test_mon;


///////////////////////////////////  parameters, wires and registers ///////////////////




rtax2000_cq352_SRAM 	rtax2000_cq352_SRAM_inst (Oe, Resetn, Hclock3, Rclock3, Hclock4, Ram_test_mon, Ramfifo_test_mon, rambist_test_mon);

Logic_Test_Top 			Logic_Test_Top_inst ();
   
  

endmodule
